Development was carried out with Python 3.8.10.  
To install all the libraries run the following command:  
pip install -r libsImport.txt

Some libraries will produce an error, in that case delete the corresponding line and run the command again.


**IMPORTANT**: PyTorch (torch) will be installed as a dependency of other packages, it should be uninstalled and installed again using the command shown below.  
**IMPORTANT**: Most libraries are compiled to use CUDA 11.3, if you are using a different version please adapt the installation.

Here are some libraries that usually produce errors and the way to install them:
- **DGL**: pip install dgl-cu113==0.7.2 -f https://data.dgl.ai/wheels/repo.html
- **SNAP**: pip install snap-stanford
- **PyTorch**: pip install torch==1.10.2 torchvision==0.11.3 torchaudio==0.10.2 --extra-index-url https://download.pytorch.org/whl/cu113
- **PyTorchExtra**: pip install torch-scatter==2.0.9 torch-sparse==0.6.12 torch-cluster==1.5.9 torch-spline-conv==1.2.1 torch-geometric==2.0.3 -f https://data.pyg.org/whl/torch-1.10.0+cpu.html
	